=== debian/changelog ===
kbuild (1:0.1.9998svn3686+dfsg-2~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
  * Merging debian version 1:0.1.9998svn3686+dfsg-2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 26 Aug 2025 09:40:52 +0200

kbuild (1:0.1.9998svn3686+dfsg-1~progress8.99u1) horok-backports; urgency=medium

  * Initial upload to horok-backports.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 26 Aug 2025 07:26:10 +0200
