=== debian/control ===
Source: kbuild
Section: devel
Priority: optional
Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
XSBC-Original-Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
XSBC-Original-Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
           Gianfranco Costamagna <locutusofborg@debian.org>
Bugs: mailto:maintainers@lists.progress-linux.org
Build-Depends: debhelper-compat (= 13),
               byacc,
               flex,
               libacl1-dev,
               texinfo,
               pkg-config
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://svn.netlabs.org/kbuild
Vcs-Browser: https://git.progress-linux.org/horok-backports/kbuild
Vcs-Git: https://git.progress-linux.org/horok-backports/kbuild
XSBC-Original-Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/kbuild
XSBC-Original-Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/kbuild.git

Package: kbuild
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: framework for writing simple makefiles for complex tasks
 The goals of the kBuild framework:
  - Similar behavior cross all supported platforms.
  - Flexibility, don't create unnecessary restrictions preventing ad-hoc
    solutions.
  - Makefile can very simple to write and maintain.
 .
 There are four concepts being tried out in the current kBuild incaration:
  - One configuration file for a subtree automatically included.
  - Target configuration templates as the primary mechanism for makefile
    simplification.
  - Tools and SDKs for helping out the templates with flexibility.
  - Non-recursive makefile method by using sub-makefiles.
 .
 kBuild does not provide any facilities for checking compiler/library/header
 configurations, that's not in its scope. If this is important for your
 project, check out the autoconf tool in the GNU build system. It is possible
 to use kBuild together with autoconf if you like, but you might just as well
 use the full GNU package.
