## kbuild 1366

=== src/fastdep/Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-# $Id: Makefile 2413 2010-09-11 17:43:04Z bird $
+# $Id: Makefile 785 2007-01-24 22:21:56Z bird $
 
 #
 # Odin32 API
 #
 #   Makefile for the Quick-and-Dirty dependency utility. (FastDep)
 #
-#   Copyright (c) 1999-2010 knut st. osmundsen <bird-kBuild-spamx@anduin.net>
+#   Copyright (c) 1999-2002 knut st. osmundsen (bird-kBuild-spam@anduin.net)
 #
 #   GPL
 #
